## systemd-udeb 257.2

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'set the extended version string (defaults to project version)')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')
option('vcs-tag', type : 'boolean', value : true,
       description : 'append current git commit to version output when git information is available')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for systemd development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'], deprecated: true,
       description : 'This option is deprecated and will be removed in a future release')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'sbin is not a symlink to bin')
option('rootlibdir', type : 'string', deprecated: true,
       description : 'This option is deprecated and will be removed in a future release')
option('rootprefix', type : 'string', deprecated: true,
       description : 'This option is deprecated and will be removed in a future release')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udevd and its helpers to libsystemd-shared.so')
option('link-executor-shared', type : 'boolean',
       description : 'link systemd-executor to libsystemd-shared.so and libsystemd-core.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('link-networkd-shared', type: 'boolean',
       description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
option('link-journalctl-shared', type: 'boolean',
       description : 'link journalctl against libsystemd-shared.so')
option('link-boot-shared', type: 'boolean',
       description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
option('link-portabled-shared', type: 'boolean',
       description : 'link systemd-portabled and its helpers to libsystemd-shared.so')
option('first-boot-full-preset', type: 'boolean', value: false,
       description : 'during first boot, do full preset-all (default will be changed to true later)')

option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libsystemd')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libudev')
option('standalone-binaries', type : 'boolean', value : false,
       description : 'also build standalone versions of supported binaries')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('initrd', type : 'boolean',
       description : 'install services for use when running systemd in initrd')
option('compat-mutable-uid-boundaries', type : 'boolean', value : false,
       description : 'look at uid boundaries in /etc/login.defs for compatibility')
option('nscd', type : 'boolean',
       description : 'This option is deprecated and will be removed in a future release')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')
option('nologin-path', type : 'string', description : 'path to nologin')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to LONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable EFI support')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('repart', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-repart tool')
option('sysupdate', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-sysupdate tool')
option('sysupdated', type: 'combo', value : 'auto',
       choices : ['auto', 'enabled', 'disabled'],
       description : 'install the systemd-sysupdated service')

option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('pstore', type : 'boolean',
       description : 'install the pstore archival tool')
option('oomd', type : 'boolean',
       description : 'install the userspace oom killer')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('sysext', type : 'boolean',
       description : 'install the systemd-sysext stack')
option('mountfsd', type : 'boolean',
       description : 'install the systemd-mountfsd stack')
option('userdb', type : 'boolean',
       description : 'install the systemd-userdbd stack')
option('homed', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-homed stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('default-network', type : 'boolean', value : false,
       description : 'install default .network files')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'support for "journal over the network"')
option('create-log-dirs', type : 'boolean',
       description : 'create /var/log/journal{,/remote}')
option('nsresourced', type : 'boolean',
       description : 'install the systemd-nsresourced stack')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('vmspawn', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-vmspawn tool')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('storagetm', type : 'boolean',
       description : 'support for Storage Target Mode')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('xdg-autostart', type : 'boolean',
       description : 'install the xdg-autostart-generator and unit')
option('man', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install man pages')
option('html', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('dbus-interfaces-dir', type : 'string',
       description : 'export D-Bus introspection XML as standalone files')
option('default-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for system unit start/stop')
option('default-user-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for user unit start/stop')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('xinitrcdir', type : 'string', value : '',
       description : 'directory for xinitrc files')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',

=== debian/changelog ===
systemd-udeb (257.2-6) unstable; urgency=medium

  * udev-udeb: add back networkd link files previously shipped (Closes:
    #1093907)

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Jan 2025 10:54:51 +0000

systemd-udeb (257.2-5) unstable; urgency=high

  * Do not use dh-sequence-dlopenlibdeps. It cannot deal with udebs, so
    add explicit libkmod2-udeb dependency

 -- Luca Boccassi <bluca@debian.org>  Sat, 18 Jan 2025 09:54:13 +0000

systemd-udeb (257.2-4) unstable; urgency=high

  * udev-udeb.install: memory_id tool is not built on ppc64el/s390x

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 22:39:47 +0000

systemd-udeb (257.2-3) unstable; urgency=high

  * Fix patch backport. An older version was imported by mistake, that
    does not build on ppc64el and s390x. Fix it.

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 19:42:55 +0000

systemd-udeb (257.2-2) unstable; urgency=high

  * Backport patch to add udev build/install meson hooks
  * Split udeb to separate source package

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 11:48:04 +0000

systemd (257.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/257.2' (Closes: #1092125)
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Jan 2025 20:48:25 +0000

systemd (257.1-7) unstable; urgency=medium

  * Add missing d/copyright file to signed template packages
  * d/t/tests-in-lxd: more fixes for debci compatibility

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Jan 2025 01:55:59 +0000

systemd (257.1-6) unstable; urgency=medium

  * d/t/tests-in-lxd: drop auto-apt-proxy.conf from container
  * Drop build dependency on libxen-dev on armhf, no longer available
    (Closes: #1091545)

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Jan 2025 11:39:41 +0000

systemd (257.1-5) unstable; urgency=medium

  * d/t/tests-in-lxd: install auto-apt-proxy in the nested container.
  * d/t/upstream: do not use --verbose with 'meson test'
  * d/t/upstream: do not mask machined and instead use mkosi workaround
  * d/t/upstream: switch from btrfs to ext4 and use nspawn again. Kernel
    6.12 broke mounting btrfs volumes from loop devices, switch to ext4 as
    a workaround and use nspawn again, as it's faster

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Dec 2024 18:59:19 +0000

systemd (257.1-4) unstable; urgency=medium

  * d/t/upstream: decrease parallelism to nproc - 1
  * d/t/upstream: do not use nspawn for tests
  * d/t/upstream: disable homed/userdbd in the test runner
  * d/t/upstream: mask systemd-machined
  * Backport patch to workaround issue in new mdadm

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Dec 2024 13:57:12 +0000

systemd (257.1-3) unstable; urgency=medium

  * autopkgtest: mark tests-in-lxd as flaky

 -- Luca Boccassi <bluca@debian.org>  Sat, 21 Dec 2024 01:19:14 +0000

systemd (257.1-2) unstable; urgency=medium

  * Various fixes for d/t/tests-in-lxd

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 15:27:15 +0000

systemd (257.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * test: fix flaky boot-and-services test.
  * d/t/upstream: fix mkosi syntax warnings
  * systemd-ukify: recommend python3-cryptography. One of the verbs uses
    it, so add a recommend to pull it in by default (Closes: #1090759)
  * d/watch: restrict to v257.x series
  * Update upstream source from tag 'upstream/257.1' (Closes: #1087616)
  * Drop patches, merged upstream
  * Install systemd-creds bash completion

  [ Nick Rosbrook ]
  * d/t/tests-in-lxd: run some tests under LXD
  * debian/tests/boot-and-services: drop test_no_failed
  * debian/control: add Breaks: systemd (<< ${binary:Version}) for udev.
    This ensures that systemd is also upgraded whenever udev is upgraded.
  * d/control: make systemd-sysv Depends: on matching version of systemd
  * d/systemd-resolved.postinst: copy existing /etc/resolv.conf on new
    installs

  [ Balint Reczey ]
  * debian/systemd.postinst: Skip daemon-reexec and try-restarts during
    shutdown. LP #1803391

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Dec 2024 21:41:25 +0000

systemd (257-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * udev: install dmi_memory_id and its rules on riscv64.

  [ Luca Boccassi ]
  * Backport patches to fix test failures

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Dec 2024 18:31:08 +0000

systemd (257-1) unstable; urgency=medium

  * Update to new upstream version v257. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc1
  * Update symbols file for v257

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Dec 2024 19:57:21 +0000

systemd (257~rc3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * systemd-ukify: recommend systemd-boot-efi for the stub (Closes:
    #1087808)
  * Increase minimum sections in stub PE header on arm64/armhf/riscv64 to
    500. Allows riscv64 to include all current DTBs with some room to grow
    (Closes: #1087817)
  * Bump version in tzdata dependency due to p-u upload
  * Update to new upstream version v257~rc3. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc3
  * Drop patches, merged upstream
  * Update symbols for 257~rc3

  [ Ben Hutchings ]
  * sysctl: Add file trigger on /usr/lib/sysctl.d to restart systemd-
    sysctl. (Closes: #1085160)

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Nov 2024 21:21:02 +0000

systemd (257~rc2-3) unstable; urgency=low

  * Backport patch to remove faulty unit test assertion

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 10:13:56 +0000

systemd (257~rc2-2) unstable; urgency=low

  * Backport patch to fix FTBFS due to failing unit test

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 00:36:08 +0000

systemd (257~rc2-1) unstable; urgency=low

  * d/t/control: add more packages to dummy hint-testsuite-triggers. A
    regression was introduced by nvme-cli in testing because the testsuite


## systemd-udeb 257.4

=== debian/changelog ===
systemd-udeb (257.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/257.4' Update to upstream
    version '257.4' with Debian dir
    091285b6c9677c854b67cc943ae4ec80674e3c3c
    (Closes: #1098631)

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Mar 2025 16:55:26 +0000

=== debian/control ===
Source: systemd-udeb
Section: debian-installer
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
Homepage: https://systemd.io
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-package-notes,
               pkgconf,
               meson (>= 1.3.0~),
               gettext,
               gperf,
               libcap-dev,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,

Package: udev-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libkmod2-udeb,
         util-linux-udeb,
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.
 .
 This is a minimal version, only for use in the installation system.

Package: libudev1-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: libudev shared library
 This library provides access to udev device information.
 .
 This is a minimal version, only for use in the installation system.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

# Make sure that DEB_BUILD_OPTIONS can be used by users to override any options
# we set here (By default DEB_BUILD_MAINT_OPTIONS overrides DEB_BUILD_OPTIONS).
export DEB_BUILD_MAINT_OPTIONS = optimize=+lto hardening=+pie $(DEB_BUILD_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dversion-tag="$(VERSION_TAG)" \
		-Dmode=release \
		-Dkmod-path=/usr/bin/kmod \
		-Dmount-path=/usr/bin/mount \
		-Dumount-path=/usr/bin/umount \
		-Dsupport-url=https://www.debian.org/support \
		-Dsystem-uid-max=999 \
		-Dsystem-gid-max=999 \
		-Dnobody-user=nobody \
		-Dnobody-group=nogroup \
		-Ddev-kvm-mode=0660 \
		-Dgroup-render-mode=0660 \
		-Dselinux=enabled \
		-Dkmod=enabled \
		-Dacl=enabled \
		-Dblkid=enabled \
		-Dauto_features=disabled \
		-Drpmmacrosdir=no \
		-Dhwdb=false \
		-Dvconsole=false \
		-Dfirstboot=false \
		-Dwheel-group=false \
		-Dsysvinit-path='' \
		-Doomd=false \
		-Durlify=false \
		-Dlink-udev-shared=false \
		-Dsysext=false \
		-Dnscd=false \
		-Dsysusers=false \
		-Dinstall-tests=false \
		-Ddbus-interfaces-dir=no \
		-Dtranslations=false \
		-Dresolve=false \
		-Dutmp=false \
		-Dtests=false \
		-Dima=false \
		-Dipe=false \
		-Dsmack=false \
		-Dbacklight=false \
		-Dkernel-install=false \
		-Dmountfsd=false \
		-Dnetworkd=false \
		-Dnsresourced=false \
		-Dnss-myhostname=false \
		-Dnss-systemd=false \
		-Dhibernate=false \
		-Dldconfig=false \
		-Defi=false \
		-Dtpm=false \
		-Denvironment-d=false \
		-Dbinfmt=false \
		-Dpstore=false \
		-Dlogind=false \
		-Dhostnamed=false \
		-Dlocaled=false \
		-Dmachined=false \
		-Dportabled=false \
		-Dquotacheck=false \
		-Drandomseed=false \
		-Drfkill=false \
		-Danalyze=false \
		-Dstoragetm=false \
		-Dtimedated=false \
		-Dtimesyncd=false \
		-Dtmpfiles=false \
		-Dxdg-autostart=false \
		-Didn=false \
		-Dgshadow=false \
		-Durlify=false \
		-Dcoredump=false \
		-Dinstall-sysconfdir=false

override_dh_auto_build:
	dh_auto_build -- libudev udev

# TODO: in compat 14 we can use dh_auto_install -- --no-rebuild --tags libudev,udev
override_dh_auto_install:
	meson install -C obj-$(DEB_HOST_GNU_TYPE) --no-rebuild --tags libudev,udev --destdir ../debian/tmp/

PROJECT_VERSION ?= $(shell awk '/(PROJECT|PACKAGE)_VERSION / {print $$3}' obj-$(DEB_HOST_GNU_TYPE)/config.h | tr -d \")

override_dh_makeshlibs:
	sed 's/SHARED_LIB_VERSION/$(PROJECT_VERSION)/' debian/shlibs.local.in > debian/shlibs.local
	dh_makeshlibs -plibudev1-udeb --add-udeb=libudev1-udeb
	dh_makeshlibs --remaining-packages

override_dh_auto_test:

%:
	dh $@

## systemd-udeb 258

=== debian/changelog ===
systemd-udeb (258-1) unstable; urgency=medium

  * Add back dependency on libcrypt-dev (Closes: #1106999)
  * d/watch: restrict to major releases
  * Update to new upstream version v258. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v258
    (Closes: #1110462)
  * Drop all patches, merged upstream
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/rules: explicitly enable libmount
  * Backport patch to fix linking standalone udev
  * d/copyright: update path for linux headers

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Sep 2025 13:45:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
@@ -16,6 +16,7 @@
                gettext,
                gperf,
                libcap-dev,
+               libcrypt-dev,
                libselinux1-dev (>= 2.1.9),
                libacl1-dev,
                libkmod-dev (>= 15),

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 		-Dkmod=enabled \
 		-Dacl=enabled \
 		-Dblkid=enabled \
+		-Dlibmount=enabled \
 		-Dauto_features=disabled \
 		-Drpmmacrosdir=no \
 		-Dhwdb=false \
@@ -41,7 +42,6 @@
 		-Durlify=false \
 		-Dlink-udev-shared=false \
 		-Dsysext=false \
-		-Dnscd=false \
 		-Dsysusers=false \
 		-Dinstall-tests=false \
 		-Ddbus-interfaces-dir=no \

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/systemd-$1\.tar\.gz/ \
  https://github.com/systemd/systemd/tags .*/v?(\d\d\d\S*)\.tar\.gz

## systemd-udeb 259

=== debian/changelog ===
systemd-udeb (259-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 259.
  * Merging debian version 259-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Dec 2025 02:03:17 +0100

systemd-udeb (259-1) unstable; urgency=medium

  * Update to new upstream version v259. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v259
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Dec 2025 14:32:56 +0000

systemd-udeb (258-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 Sep 2025 06:48:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: systemd-udeb
 Section: debian-installer
 Priority: optional
-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>,
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+XSBC-Original-Uploaders: Luca Boccassi <bluca@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
-Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
+Vcs-Browser: https://git.progress-linux.org/horok-backports/systemd-udeb
+Vcs-Git: https://git.progress-linux.org/horok-backports/systemd-udeb
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
+XSBC-Original-Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
 Homepage: https://systemd.io
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
